package project.com.bachelor.utils;

import android.content.Context;
import android.os.Handler;
import android.widget.Toast;

/**
 * Created by ReneUhrin on 16.12.16.
 * Email: reneuhrin@gmail.com
 */
public class CustomToast {

    public static void getLongToast(Context context, String text) {
        Toast.makeText(context, text, Toast.LENGTH_LONG).show();
    }

    public static void getShortToast(Context context, String text) {
        Toast.makeText(context, text, Toast.LENGTH_SHORT).show();
    }

    public static void getLongToastInThread(final Context context, final String text) {
        Handler mHandler = new Handler(context.getMainLooper());
        mHandler.post(new Runnable() {
            @Override
            public void run() {
                CustomToast.getLongToast(context, text);
            }
        });
    }

    public static void getShortToastInThread(final Context context, final String text) {
        Handler mHandler = new Handler(context.getMainLooper());
        mHandler.post(new Runnable() {
            @Override
            public void run() {
                CustomToast.getShortToast(context, text);
            }
        });
    }

}
