package project.com.bachelor.view;

import java.util.ArrayList;

import project.com.bachelor.datamodel.Information;

/**
 * Created by ReneUhrin on 17.12.16.
 * Email: reneuhrin@gmail.com
 *
 * communication between view and presenter
 */

public interface IMainView {

    String TAG = IMainView.class.getSimpleName();

    void showProgress(boolean show);
    void onGeneralError(String error);
    void onNotifyArray(Information basePojo);
    void onAppStart(ArrayList<?> data);

}
