package project.com.bachelor.connection;

import project.com.bachelor.datamodel.Information;
import retrofit2.http.GET;
import retrofit2.http.Query;
import rx.Observable;

/**
 * Created by ReneUhrin on 16.12.16.
 * Email: reneuhrin@gmail.com
 */

public interface UrlPath {

    @GET("questions?")
    Observable<Information> getData(@Query("filter") String filter,
                                    @Query("fromdate") String fromdate,
                                    @Query("todate") String todate,
                                    @Query("order") String order,
                                    @Query("sort") String sort,
                                    @Query("site") String site,
                                    @Query("pagesize") String pagesize,
                                    @Query("page") String page);
}
