package project.com.bachelor.utils;

import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;

import project.com.bachelor.App;

/**
 * Created by ReneUhrin on 17.12.16.
 * Email: reneuhrin@gmail.com
 */

public class UtilsPreferences {

    private static final String TAG = UtilsPreferences.class.getSimpleName();

    public static void savePage(int page) {
        SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(App.getContext());
        SharedPreferences.Editor editor = prefs.edit();
        editor.putInt(ConstantsString.SHARED_PREFERENCES_PAGE, page);
        editor.apply();
    }

    public static int getPage() {
        SharedPreferences preferences = PreferenceManager.getDefaultSharedPreferences(App.getContext());
        return preferences.getInt(ConstantsString.SHARED_PREFERENCES_PAGE, 1);
    }

    public static void replaceFragment(int id, Fragment f, FragmentManager fragmentManager) {
            fragmentManager.beginTransaction()
                    .replace(id, f)
                    .addToBackStack(null)
                    .commit();
    }
}
